Status: New Start date: 2009-02-27

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

it would be great if in custom fields would be linked lists type.

Related issues:

Has duplicate Redmine - Feature #4436: Custom Field Closed 2009-12-17

History

#1 - 2009-02-28 09:48 - Jean-Philippe Lang

And what would be a linked lists type custom field?

#2 - 2009-02-28 11:43 - Vasia Pupkin

for example: linked lists is a relations between "country" list and "city" list

#3 - 2009-03-07 09:53 - Vasia Pupkin

- File linked_lists.js added

im a js developer, but newbie in RoR. I solve this issue with linked_lists.js and naming items in custom field lists like:

1. Item 2 (custom field list 1)

1.1 Item 1 (custom field list 2)

1.2 Item 2 (custom field list 2)

1.3 Item 3 (custom field list 2)

2. Item 2 (custom field list 1)

2.1 Item 4 (custom field list 2)

2.2 Item 5 (custom field list 2)

2.3 Item 6 (custom field list 2)

 can anyone make it be compatible with server RoR code and administration page?

ps: sorry for my english

#4 - 2009-03-07 09:54 - Vasia Pupkin

1. Item 1 (custom field list 1)

#5 - 2009-03-10 09:15 - Vasia Pupkin

- File linked_lists.js added

some fixes of client-side code:

TODO:fixe selected error in IE6

#6 - 2009-03-18 07:32 - Vasia Pupkin

what type of DOM event is called, when im changing tracker in new issue form?

#7 - 2009-12-17 21:06 - Jean-Philippe Lang

- Subject changed from Linked lists to Linked lists for custom fields

#8 - 2010-01-26 18:35 - Alain V.
Any chance to have this possible? thank you..

#9 - 2010-07-07 07:29 - Alain V.

Any plan for this feature?

#10 - 2013-09-09 13:48 - Alain V.

Any plan there? Anyone else has the same need?

Files

linked_lists.js 1.11 KB 2009-03-07 Vasia Pupkin

linked_lists.js 1.85 KB 2009-03-10 Vasia Pupkin
